Name:          cups-bjnp
Version:       2.0
Release:       1mamba
Summary:       CUPS back-end for the canon printers using the proprietary USB over IP BJNP protocol
Group:         System/Spooling
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/cups-bjnp/
Source:        http://downloads.sourceforge.net/project/cups-bjnp/cups-bjnp/%{version}/cups-bjnp-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcups-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
CUPS back-end for the canon printers using the proprietary USB over IP BJNP protocol. This back-end allows Cups to print over the network to a Canon printer. It currently supports Cups 1.2 and later. It is designed using reverse engineering.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_prefix}/lib/cups/backend/bjnp
%doc AUTHORS COPYING
# ChangeLog NEWS README TODO

%changelog
* Sat Sep 06 2014 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic update by autodist

* Fri Jan 24 2014 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Fri Jan 11 2013 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Thu Oct 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created by autospec
